tt_pattern_disposition_add(library call)

NAME
tt_pattern_disposition_add — add a value to the disposition field for a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_disposition_add(
Tt_pattern p,
Tt_disposition r);

DESCRIPTION

The tt_pattern_disposition_add function adds a value to the disposition field for the specified pattern.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called.

The r argument indicates whether an instance of the receiver is to be started to receive the message immediately, or whether the message is to be queued until the receiving process is started at a later time or discarded if the receiver is not started. The following values are defined:

TT_DISCARD
    There is no receiver for this message. The message will be returned to the sender with the Tt_status field containing TT_FAILED.

TT_QUEUE
    Queue the message until a process of the proper ptype receives the message.

TT_START
    Attempt to start a process of the proper ptype if none is running.

TT_QUEUE+TT_START
    Queue the message and attempt to start a process of the proper ptype if none is running.

RETURN VALUE

Upon successful completion, the tt_pattern_disposition_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).